-- Fractal 01 : Based on a quadratic time escape fractal algorithm found in the book Keys to Infinity by Clifford Pickover.
-- Revision 4

--@TBCONFIG SLIDER: Softness, 20
--@TBCONFIG SLIDER: Shininess, 70
--@TBCONFIG SLIDER: Sharpness, 30
--@TBCONFIG FLAG: Extra Shine, true

--@TBCONFIG INFO: Metalize
--@TBCONFIG INFO: Revision 1
--@TBCONFIG INFO:  

-- Metallic
paint_open(0)
paint_filter("Gaussian Blur",0,50 + sliderVal1 * 100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
paint_filter("Emboss2",0,100,300,400,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
paint_filter("Photo Detailer",0,500,sliderVal2 * 300,500,sliderVal3 * 500,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0)
if flagVal1 == true then
  paint_filter("Edge",0,80,10,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
  paint_filter("Anti Alias",0,500,500,1000,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
end  
stretchX = (8 / width) * 1000
stretchY = (8 / height) * 1000
paint_filter("Stretch",0,500 + stretchX,500 + stretchY,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
paint_close()




